Bug 979491 - Eclipse crashes just after starting up
Eclipse crashes just after starting up
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 12:36 EDT by Petr Muller
Modified: 2016-09-19 22:10 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:44:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hs_error.log (114.19 KB, text/plain)
2013-06-28 12:36 EDT, Petr Muller
no flags Details

  None (edit)
Description Petr Muller 2013-06-28 12:36:54 EDT
Created attachment 766665 [details]
hs_error.log

Description of problem:

When I launch Eclipse, I see the splash screen with the progress bar. After it finishes, a mangled Eclipse window shows up: most of the GUI elements are not drawn, just grey. Then Eclipse crashes.

Version-Release number of selected component (if applicable):
eclipse-platform-4.3.0-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. $ eclipse

Actual results:
crash

Expected results:
no crash

Additional info:
$ eclipse
CompilerOracle: exclude org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith
CompilerOracle: exclude org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding.<init>
CompilerOracle: exclude org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates.instantiateTemplate
CompilerOracle: exclude org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage.addBinding
CompilerOracle: exclude org/python/pydev/editor/codecompletion/revisited/PythonPathHelper.isValidSourceFile
CompilerOracle: exclude org/eclipse/tycho/core/osgitools/EquinoxResolver.newState
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x0000003f1143c155, pid=10387, tid=140159284283136
#
# JRE version: 7.0_25
# Java VM: OpenJDK 64-Bit Server VM (23.7-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgdk-x11-2.0.so.0+0x3c155]  g_param_spec_object+0x3c155
#
# Core dump written. Default location: /home/afri/core or core.10387
#
# An error report file with more information is saved as:
# /tmp/jvm-10387/hs_error.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
Comment 1 Krzysztof Daniel 2013-07-01 03:09:56 EDT
Hey Petr,

could you try to use a clean workspace?
when the issue started appearing?
are you on f19?
are you up to date with all the libraries?
Comment 2 Petr Muller 2013-07-02 06:48:02 EDT
Krzysztof,

I tried using '-clean' option, that does not help. Removing my workspace directory *does* help, though. But after I import my projects again, its starts happening again after a while (it's good for several days of working with eclipse and then it starts again).

I'm not sure which version was the first one I've seen doing it. I keep my Fedora up to date (basically yum update at least once a week).
Comment 3 Krzysztof Daniel 2013-07-02 07:12:19 EDT
Are you saying that Eclipse works well until a shutdown one day, and then it refuses to start? Or maybe there is a crash, and then it refuses to start?
Comment 4 Alexander Kurtakov 2013-07-25 11:34:50 EDT
Petr, do you install any third party eclipse plugins? Have you noticed whether it happens after certain action?
Anything that can help us reproduce is welcome.
Comment 5 Alexander Kurtakov 2013-07-25 11:37:59 EDT
Also you can try running with the GTK 3 backend (export SWT_GTK3=1 prior to launching - preview functionality) to see whether it works for you and report problems.
Comment 6 Petr Muller 2013-08-06 10:56:22 EDT
Krzysztof, it's working fine, no crash, simply does not start one day. Removing the workspace fixes it, but I need to re-import my projects.

Alexander, I'm not using any third party plugins, just Fedora stuff. I use Java, Pydev and WTP Source plugins. I *think* that I'm seeing problems when I close Eclipse when in Web perspective with some XMLs open in text view. But it's not the rule, and it is not reproducible.

However, SWT_GTK3=1 helps (thanks!): when this is set, no crash.
Comment 9 Damian Wrobel 2014-04-19 09:52:20 EDT
For me it crashes on F20 as described in the bug 1057167, comment 13.

Adding SWT_GTK3=1 didn't help.

Switching to jdk-1.8.0 also crashes as following:
(gdb) bt
#0  0xb48da95f in Monitor::wait(bool, long, bool) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#1  0xb4a8c546 in VMThread::execute(VM_Operation*) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#2  0xb4429e5d in BiasedLocking::revoke_and_rebias(Handle, bool, Thread*) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#3  0xb4a02b5f in ObjectSynchronizer::fast_enter(Handle, BasicLock*, bool, Thread*) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#4  0xb4703b62 in InterpreterRuntime::monitorenter(JavaThread*, BasicObjectLock*) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#5  0xa525f183 in ?? ()
#6  0xa5251294 in ?? ()
#7  0xa52511f4 in ?? ()
#8  0xa524d459 in ?? ()
#9  0xb470fb14 in JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#10 0xb4912344 in os::os_exception_wrapper(void (*)(JavaValue*, methodHandle*, JavaCallArguments*, Thread*), JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#11 0xb470d7d4 in JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#12 0xb470dc8c in JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#13 0xb47476a1 in thread_entry(JavaThread*, Thread*) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#14 0xb4a3eae9 in JavaThread::thread_main_inner() () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#15 0xb4a3ee98 in JavaThread::run() () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#16 0xb490b890 in java_start(Thread*) () from /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0/jre/bin/../lib/i386/server/libjvm.so
#17 0xb7f6cd8a in start_thread (arg=0x821aeb40) at pthread_create.c:309
#18 0xb7e9aa0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129
(gdb) p ps()

"Executing ps"
 for thread: "Worker-1" #20 prio=5 os_prio=0 tid=0x08387800 nid=0x1eb7 runnable [0x821ad000]
   java.lang.Thread.State: RUNNABLE

	at org.eclipse.equinox.internal.p2.engine.ProfilePreferences.doSave(ProfilePreferences.java:119)
	- locked <0x9dc6cd90> (a java.lang.Object)
	at org.eclipse.equinox.internal.p2.engine.ProfilePreferences$SaveJob.run(ProfilePreferences.java:49)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:53)
$1 = 137910432
(gdb)
Comment 10 Fedora End Of Life 2015-01-09 13:34:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 10:44:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.